<?php

namespace App\Enums;

use App\Enums\Concerns\HasValues;

enum SubmissionStatus: string
{
    use HasValues;

    case NotSubmitted = 'not_submitted';
    case Submitted = 'submitted';

    public function label(): string
    {
        return match ($this) {
            self::NotSubmitted => 'Belum Mengumpulkan',
            self::Submitted => 'Sudah Mengumpulkan',
        };
    }
}
